package org.lsh.webservice.ui.mapper;

import org.apache.ibatis.annotations.*;
import org.lsh.webservice.ui.entity.tree.Project;

import java.util.List;

@Mapper
public interface ProjectMapper {

    @Insert("INSERT INTO PROJECT (NAME) VALUES (#{project.name})")
    @Options(useGeneratedKeys = true, keyProperty = "id")
    int insert(@Param("project") Project project);

    void deleteById(String id);

    void update(Project user);

    @Select("select * from PROJECT where id=#{id}")
    Project findById(String id);

    @Select("select * from PROJECT")
    @Results({
            @Result(property = "name", column = "name"), // 指定属性名和列名的映射关系
    })
    List<Project> findAll();

}
